Clear rr context pointer after object is freed.
--- diff/drivers/md/dm-roundrobin.c	2004-09-28 17:46:13.000000000 +0100
+++ source/drivers/md/dm-roundrobin.c	2004-09-28 17:45:56.000000000 +0100
@@ -86,9 +86,11 @@
 static void rr_dtr(struct path_selector *ps)
 {
 	struct selector *s = (struct selector *) ps->context;
+
 	free_paths(&s->valid_paths);
 	free_paths(&s->invalid_paths);
 	kfree(s);
+	ps->context = NULL;
 }
 
 /* Path add context */
